<?php
include_once(__DIR__."/../../core.php");

if ($modules_info[$module_name]["permessi"] == 'rw') {
	switch (filter('op')) {
		case "update" :
			$descrizione = filter("descrizione");

			if(isset($descrizione)){
				if($dbo->fetchNum("SELECT * FROM `dt_porto` WHERE `descrizione`=".prepare($descrizione)." AND `id`!=".prepare($id_record)) == 0){
					$dbo->query("UPDATE `dt_porto` SET `descrizione`=".prepare($descrizione)." WHERE `id`=" . prepare($id_record));
					array_push($_SESSION["infos"], _("Salvataggio completato!"));
				}
				else array_push($_SESSION["errors"], str_replace("_TYPE_", "porto", _("E' già presente una tipologia di _TYPE_ con la stessa descrizione!")));
			}
			else array_push($_SESSION["errors"], _("Ci sono stati alcuni errori durante il salvataggio!"));

			break;

		case "add" :
			$descrizione = filter("descrizione");

			if(isset($descrizione)){
				if($dbo->fetchNum("SELECT * FROM `dt_porto` WHERE `descrizione`=".prepare($descrizione)) == 0){
					$id_record = $dbo->query("INSERT INTO `dt_porto` (`descrizione`) VALUES (".prepare($descrizione).")");
					array_push($_SESSION["infos"], str_replace("_TYPE_", "porto", _("Aggiunta nuova tipologia di _TYPE_")));
				}
				else array_push($_SESSION["errors"], str_replace("_TYPE_", "porto", _("E' già presente una tipologia di _TYPE_ con la stessa descrizione!")));
			}
			else array_push($_SESSION["errors"], _("Ci sono stati alcuni errori durante il salvataggio!"));

			break;
			
		case "delete" :
			if(isset($id_record)){
				$id_record = $dbo->query("DELETE FROM `dt_porto` WHERE `id`=" . prepare($id_record));
				array_push($_SESSION["infos"],  str_replace("_TYPE_", "porto", _("Tipologia di _TYPE_ eliminata con successo!")));
			}

			break;
	}
}
?>